Bug 496100 - Random crashing in dm snapshots because of a race condition
Random crashing in dm snapshots because of a race condition
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
high Severity high
: rc
: ---
Assigned To: Mikulas Patocka
Red Hat Kernel QE team
:
Depends On: 484319
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 12:18 EDT by Mikulas Patocka
Modified: 2009-09-03 09:52 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 484319
Environment:
Last Closed: 2009-09-02 04:32:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Bug 1 - race in kcopyd (3.11 KB, patch)
2009-04-23 01:16 EDT, Mikulas Patocka
no flags Details | Diff
Bug 2 - two exceptions for the same chunk (4.33 KB, patch)
2009-04-23 01:17 EDT, Mikulas Patocka
no flags Details | Diff

  None (edit)
Comment 1 RHEL Product and Program Management 2009-04-16 12:28:49 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Mikulas Patocka 2009-04-23 01:16:26 EDT
Created attachment 340864 [details]
Bug 1 - race in kcopyd
Comment 3 Mikulas Patocka 2009-04-23 01:17:25 EDT
Created attachment 340865 [details]
Bug 2 - two exceptions for the same chunk
Comment 4 Don Zickus 2009-05-06 13:17:51 EDT
in kernel-2.6.18-144.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 8 errata-xmlrpc 2009-09-02 04:32:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.